### Property

# Adw ViewStack:transition-duration

since: 1.7

#### Declaration

    property transition-duration: guint [ read, write ]

#### Description [src]

The transition animation duration, in milliseconds.

Only used when `AdwViewStack:enable-transitions` is set to `TRUE`.

Type:`guint`

Available since: 1.7

Default value | 200
Getter method | `adw_view_stack_get_transition_duration()`
Setter method | `adw_view_stack_set_transition_duration()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no